% unlike in latex, new lines within \newcommand end the command (even using %)
\newcommand{\Anderson2001}{J.L. Anderson. An Ensemble Adjustment Kalman Filter for Data Assimilation. \emph{Monthly Weather Review} \bold{129}, 2884--2903, 2001.}

\newcommand{\arulampalam2002}{Arulampalam, M. S., Maskell, S., Gordon, N. and Clapp, T. (2002) A Tutorial on Particle Filters for Online Nonlinear/Non-Gaussian Bayesian Tracking. \emph{IEEE Trans. Sig. Proc.}, \bold{50(2)}, 174--188.}

\newcommand{\asfaw2020}{Asfaw, K. et al. (2020) Statistical inference for spatiotemporal partially observed Markov processes via the R package spatPomp. \emph{Manuscript in preparation}.}

\newcommand{\breto2019}{Breto, C., Ionides, E. L. and King, A. A. (2019) Panel Data Analysis via Mechanistic Models. \emph{To appear in Journal of the American Statistical Association}.}

\newcommand{\dalziel2016}{Dalziel, Benjamin D. et al. (2016) Persistent chaos of measles epidemics in the prevaccination United States caused by a small change in seasonal transmission patterns. \emph{PLoS computational biology}, \bold{12(2)}, e1004655. \acronym{DOI}: 10.5061/dryad.r4q34}

\newcommand{\Evensen1994}{G. Evensen. Sequential data assimilation with a nonlinear quasi-geostrophic model using Monte Carlo methods to forecast error statistics. \emph{Journal of Geophysical Research: Oceans} \bold{99}, 10143--10162, 1994.}

\newcommand{\Evensen2009}{G. Evensen. \emph{Data assimilation: the ensemble Kalman filter}. Springer-Verlag, 2009.}

\newcommand{\geosphere}{Robert J. Hijmans (2019). The \pkg{geosphere} spherical trigonometry package. \url{https://CRAN.R-project.org/package=geosphere}.}

\newcommand{\ionides2006}{Ionides, E. L., Breto, C. and King, A. A. (2006) Inference for nonlinear dynamical systems. \emph{Proceedings of the National Academy of Sciences}, \bold{103(49)}, 18438--18443. \acronym{DOI}: 10.1073/pnas.0603181103}

\newcommand{\ionides2011}{Ionides, E. L., Bhadra, A., Atchade, Y. and King, A. A. (2011) Iterated filtering. \emph{Ann. Statist.}, \bold{39, no. 3}, 1776--1802. \acronym{DOI}: 10.1214/11-AOS886}

\newcommand{\ionides2015}{Ionides, E. L., Nguyen, D., Atchade, Y., Stoev, S. and King, A. A. (2015) Inference via iterated, perturbed Bayes maps. \emph{Proceedings of the National Academy of Sciences}, \bold{112(3)}, 719--724. \acronym{DOI}: 10.1073/pnas.1410597112}

\newcommand{\king2016}{King, A. A., Nguyen, D. and Ionides, E. L. (2016) Statistical Inference for Partially Observed Markov Processes via the R Package pomp. \emph{Journal of Statistical Software}, \bold{69(12)}, 1--43. \acronym{DOI}: 10.18637/jss.v069.i12}

\newcommand{\lorenz96}{Lorenz, E. N. (1996) Predictability: A problem partly solved. \emph{Proceedings of the seminar on predictability}}

\newcommand{\park2020}{Park, J. and Ionides, E. L. (2020) Inference on high-dimensional implicit dynamic models using a guided intermediate resampling filter. \emph{Statistics and Computing}, \acronym{DOI}: 10.1007/s11222-020-09957-3}

\newcommand{\rebeschini2015}{Rebeschini, P., & Van Handel, R. (2015). Can local particle filters beat the curse of dimensionality?. \emph{The Annals of Applied Probability}, \bold{25(5)}, 2809-2866.}

\newcommand{\sisson2007}{Sisson, S. A., Fan, Y. and Tanaka, M. M. (2007) Sequential Monte Carlo without likelihoods. \emph{Proceedings of the National Academy of Sciences}, \bold{104(6)}, 1760--1765. \acronym{DOI}: 10.1073/pnas.0607208104}

\newcommand{\sisson2009}{Sisson, S. A., Fan, Y. and Tanaka, M. M. (2009) Correction for Sisson et al., Sequential Monte Carlo without likelihoods. \emph{Proceedings of the National Academy of Sciences}, \bold{106(39)}, 16889. \acronym{DOI}: 10.1073/pnas.0908847106}

\newcommand{\tavare1997}{Tavare, S., Balding, D. J., Griffiths, R. C. and Donnelly, P. (1997) Inferring Coalescence Times from DNA Sequence Data. \emph{Genetics}, \bold{145(2)}, 505--518.}
